package commonj.sdo.helper.util;

import javax.xml.transform.sax.SAXResult;

import commonj.sdo.helper.HelperContext;
import commonj.sdo.helper.SDOContentHandler;
import commonj.sdo.helper.XMLDocument;

public class SDOResult extends SAXResult {

    public SDOResult(HelperContext helperContext, Object options) {
        SDOContentHandler sdoContentHandler = helperContext.getXMLHelper().createContentHandler(options);
        setHandler(sdoContentHandler);
    }
    
    public XMLDocument getDocument() {
        SDOContentHandler sdoContentHandler = (SDOContentHandler)getHandler();
        return sdoContentHandler.getDocument();
    }

}
